
<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <LangVersion>13.0</LangVersion>
    </PropertyGroup>

    <ItemGroup>
        <ProjectReference Include="..\DiunaBI.Domain\DiunaBI.Domain.csproj" />
        <ProjectReference Include="..\DiunaBI.Application\DiunaBI.Application.csproj" />
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.EntityFrameworkCore" Version="10.0.0" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="10.0.0">
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
            <PrivateAssets>all</PrivateAssets>
        </PackageReference>
        <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="10.0.0" />
        <PackageReference Include="Google.Apis.Sheets.v4" Version="1.68.0.3525" />
        <PackageReference Include="Google.Apis.Drive.v3" Version="1.68.0.3490" />
    </ItemGroup>

    <ItemGroup>
        <FrameworkReference Include="Microsoft.AspNetCore.App" />
    </ItemGroup>

</Project>